const _Http = getApp().globalData.http;
Component({
    data: {
        sa_orderid: 0,
        total: 0,
        content: {
            nocache: true,
            pageNumber: 1,
            pageTotal: 1,
            total: null
        }
    },
    methods: {
        getList(id, init) {
            let content = this.data.content;
            content.sa_orderid = id;
            if (init) content.pageNumber = 1;
            _Http.basic({
                "id": "20221229093602",
                content
            }).then(res => {
                console.log("订单进度", res)
                if (res.msg != '成功') return wx.showToast({
                    title: res.msg,
                    icon: "none"
                })
                this.setData({
                    list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data),
                    "content.pageNumber": res.pageNumber + 1,
                    "content.pageSize": res.pageSize,
                    "content.pageTotal": res.pageTotal,
                    "total": res.total,
                    sa_orderid: id
                })
            })
        }
    }
})